SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_论坛_版块日志]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_论坛_版块日志](
	[ID] [int] NOT NULL,
	[所属版块] [int] NOT NULL,
	[版块名称] [nvarchar](50) NOT NULL,
	[操作人ID] [int] NOT NULL,
	[操作人昵称] [nvarchar](16) NOT NULL,
	[操作内容] [nvarchar](100) NOT NULL,
	[操作时间] [datetime] NOT NULL CONSTRAINT [DF_社区_论坛_版块日志_操作时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_论坛_版块日志] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_图片资源]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_图片资源](
	[ID] [int] NOT NULL,
	[图片地址] [nvarchar](200) NOT NULL,
 CONSTRAINT [PK_其它_图片资源] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_音乐_音乐]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_音乐_音乐](
	[ID] [int] NOT NULL,
	[所属栏目] [int] NOT NULL,
	[标题] [nvarchar](50) NOT NULL,
	[标题样式_粗体] [bit] NOT NULL,
	[标题样式_斜体] [bit] NOT NULL,
	[标题样式_删除线] [bit] NOT NULL,
	[标题样式_颜色] [nvarchar](7) NOT NULL,
	[是否推荐] [bit] NOT NULL,
	[是否审核] [bit] NOT NULL,
	[是否删除] [bit] NOT NULL,
	[外部链接] [nvarchar](200) NOT NULL,
	[发布时间] [datetime] NOT NULL,
	[歌手名称] [nvarchar](20) NOT NULL,
	[所属专辑] [nvarchar](50) NOT NULL,
	[是否关闭评论] [bit] NOT NULL,
	[内容模板] [int] NOT NULL,
	[3G内容模板] [int] NOT NULL,
	[评论模板] [int] NOT NULL,
	[3G评论模板] [int] NOT NULL,
	[权限_仅限会员] [bit] NOT NULL,
	[权限_需要等级] [int] NOT NULL,
	[权限_扣除积分] [int] NOT NULL,
	[点击数] [int] NOT NULL CONSTRAINT [DF_内容_音乐_音乐_点击数]  DEFAULT ((0)),
	[日点击数] [int] NOT NULL CONSTRAINT [DF_内容_音乐_音乐_日点击数]  DEFAULT ((0)),
	[周点击数] [int] NOT NULL CONSTRAINT [DF_内容_音乐_音乐_周点击数]  DEFAULT ((0)),
	[收藏数] [int] NOT NULL CONSTRAINT [DF_内容_音乐_音乐_收藏数]  DEFAULT ((0)),
	[评论数] [int] NOT NULL CONSTRAINT [DF_内容_音乐_音乐_评论数]  DEFAULT ((0)),
	[文件资源] [nvarchar](1000) NOT NULL,
	[最后评论时间] [datetime] NOT NULL CONSTRAINT [DF_内容_音乐_音乐_最后评论时间]  DEFAULT (getdate()),
	[最后收藏时间] [datetime] NOT NULL CONSTRAINT [DF_内容_音乐_音乐_最后收藏时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_音乐_音乐] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_论坛_版主]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_论坛_版主](
	[ID] [int] NOT NULL,
	[所属版块] [int] NOT NULL,
	[版块名称] [nvarchar](50) NOT NULL,
	[版主ID] [int] NOT NULL,
	[版主昵称] [nvarchar](16) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_论坛_版主_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_论坛_版主] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_好友]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_好友](
	[ID] [int] NOT NULL,
	[会员ID] [int] NOT NULL,
	[好友ID] [int] NOT NULL,
	[好友昵称] [nvarchar](16) NOT NULL,
	[备注] [nvarchar](50) NOT NULL,
	[个人签名] [nvarchar](200) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_好友_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_好友] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_图片采集_栏目]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_图片采集_栏目](
	[ID] [int] NOT NULL,
	[栏目名称] [nvarchar](50) NOT NULL,
	[所属网站] [int] NOT NULL,
	[开始列表地址] [nvarchar](200) NOT NULL,
	[标题和地址_表达式] [nvarchar](2000) NOT NULL,
	[标题和地址_是否通配符] [bit] NOT NULL,
	[下页地址_表达式] [nvarchar](2000) NOT NULL,
	[下页地址_是否通配符] [bit] NOT NULL,
	[上页地址_表达式] [nvarchar](2000) NOT NULL,
	[上页地址_是否通配符] [bit] NOT NULL,
	[总页数_表达式] [nvarchar](2000) NOT NULL,
	[总页数_是否通配符] [bit] NOT NULL,
	[图片地址_表达式] [nvarchar](4000) NOT NULL,
	[图片地址_是否通配符] [bit] NOT NULL,
	[图片下页_表达式] [nvarchar](2000) NOT NULL,
	[图片下页_是否通配符] [bit] NOT NULL,
	[图片缩放_宽度] [int] NOT NULL,
	[图片缩放_高度] [int] NOT NULL,
	[图片过滤] [nvarchar](2000) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_内容_图片采集_栏目_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_图片采集_栏目] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_论坛_黑名单]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_论坛_黑名单](
	[ID] [int] NOT NULL,
	[版块ID] [int] NOT NULL,
	[版块名称] [nvarchar](50) NOT NULL,
	[用户ID] [int] NOT NULL,
	[用户昵称] [nvarchar](16) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_论坛_黑名单_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_论坛_黑名单] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_好友_黑名单]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_好友_黑名单](
	[ID] [int] NOT NULL,
	[会员ID] [int] NOT NULL,
	[对方ID] [int] NOT NULL,
	[对方昵称] [nvarchar](16) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_好友_黑名单_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_好友_黑名单] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_用户_积分记录]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_用户_积分记录](
	[ID] [int] NOT NULL,
	[用户ID] [int] NOT NULL,
	[用户昵称] [nvarchar](16) NOT NULL,
	[记录内容] [nvarchar](1000) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_用户_积分记录_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_用户_积分记录] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_用户_头像]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_用户_头像](
	[ID] [int] NOT NULL,
	[用户ID] [int] NOT NULL,
	[用户昵称] [nvarchar](16) NOT NULL,
	[图片位置] [nvarchar](200) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_用户_头像_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_用户_头像] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_会员活动信息]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_会员活动信息](
	[ID] [int] NOT NULL,
	[会员昵称] [nvarchar](16) NOT NULL,
	[会员ID] [int] NOT NULL,
	[操作] [nvarchar](100) NOT NULL,
	[对象地址] [nvarchar](200) NOT NULL,
	[操作时间] [datetime] NOT NULL CONSTRAINT [DF_社区_会员活动信息_操作时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_会员活动信息] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_音乐_专辑]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_音乐_专辑](
	[ID] [int] NOT NULL,
	[专辑名称] [nvarchar](50) NOT NULL,
	[专辑封面] [nvarchar](200) NOT NULL,
	[专辑歌手] [nvarchar](50) NOT NULL,
	[专辑简介] [nvarchar](4000) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_内容_音乐_专辑_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_音乐_专辑] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_用户_用户]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_用户_用户](
	[ID] [int] NOT NULL,
	[昵称] [nvarchar](16) NOT NULL,
	[手机号] [nvarchar](11) NOT NULL,
	[密码] [nvarchar](32) NOT NULL,
	[标识] [nvarchar](100) NOT NULL,
	[用户类型] [nvarchar](3) NOT NULL,
	[未读消息] [int] NOT NULL CONSTRAINT [DF_社区_用户_用户_未读消息]  DEFAULT ((0)),
	[性别] [bit] NOT NULL CONSTRAINT [DF_社区_用户_用户_性别]  DEFAULT ((0)),
	[积分] [int] NOT NULL CONSTRAINT [DF_社区_用户_用户_积分]  DEFAULT ((0)),
	[最后访问时间] [datetime] NOT NULL CONSTRAINT [DF_社区_用户_用户_最后访问时间]  DEFAULT (getdate()),
	[最后登录时间] [datetime] NOT NULL CONSTRAINT [DF_社区_用户_用户_最后登录时间]  DEFAULT (getdate()),
	[最后登录IP] [nvarchar](20) NOT NULL CONSTRAINT [DF_社区_用户_用户_最后登录IP]  DEFAULT (''),
	[最后登录地区] [nvarchar](50) NOT NULL CONSTRAINT [DF_社区_用户_用户_最后登录地区]  DEFAULT (''),
	[等级] [int] NOT NULL CONSTRAINT [DF_社区_用户_用户_等级]  DEFAULT ((0)),
	[经验] [int] NOT NULL CONSTRAINT [DF_社区_用户_用户_经验]  DEFAULT ((0)),
	[累积_秒] [int] NOT NULL CONSTRAINT [DF_社区_用户_用户_累积_秒]  DEFAULT ((0)),
	[所在位置] [nvarchar](50) NOT NULL CONSTRAINT [DF_社区_用户_用户_所在位置]  DEFAULT (''),
	[是否加黑] [bit] NOT NULL CONSTRAINT [DF_社区_用户_用户_是否加黑]  DEFAULT ((0)),
	[今日访问次数] [int] NOT NULL CONSTRAINT [DF_社区_用户_用户_今日访问次数]  DEFAULT ((0)),
	[用户组] [nvarchar](50) NOT NULL CONSTRAINT [DF_社区_用户_用户_用户组]  DEFAULT (N'未分配'),
	[个人资料] [ntext] NOT NULL CONSTRAINT [DF_社区_用户_用户_个人资料]  DEFAULT (''),
	[头像] [nvarchar](200) NOT NULL CONSTRAINT [DF_社区_用户_用户_头像]  DEFAULT (''),
	[勋章] [nvarchar](1000) NOT NULL CONSTRAINT [DF_社区_用户_用户_勋章]  DEFAULT (''),
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_用户_用户_创建时间]  DEFAULT (getdate()),
	[个人签名] [nvarchar](200) NULL,
	[一页显示记录数] [int] NOT NULL CONSTRAINT [DF_社区_用户_用户_一页显示记录数]  DEFAULT ((10)),
	[一页显示文字数] [int] NOT NULL CONSTRAINT [DF_社区_用户_用户_一页显示文字数]  DEFAULT ((500)),
	[一页显示图片数] [int] NOT NULL CONSTRAINT [DF_社区_用户_用户_一页显示图片数]  DEFAULT ((3)),
	[一页显示文件数] [int] NOT NULL CONSTRAINT [DF_社区_用户_用户_一页显示文件数]  DEFAULT ((3)),
 CONSTRAINT [PK_社区_用户_用户] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_密码保护]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_密码保护](
	[ID] [int] NOT NULL,
	[密码保护问题1] [nvarchar](50) NOT NULL,
	[密码保护答案1] [nvarchar](50) NOT NULL,
	[密码保护问题2] [nvarchar](50) NOT NULL,
	[密码保护答案2] [nvarchar](50) NOT NULL,
	[密码保护问题3] [nvarchar](50) NOT NULL,
	[密码保护答案3] [nvarchar](50) NOT NULL,
	[会员ID] [int] NOT NULL,
 CONSTRAINT [PK_社区_密码保护] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_收藏]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_收藏](
	[ID] [int] NOT NULL,
	[标题] [nvarchar](50) NOT NULL,
	[地址] [nvarchar](200) NOT NULL,
	[用户ID] [int] NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_收藏_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_收藏] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_栏目]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_栏目](
	[ID] [int] NOT NULL,
	[栏目名称] [nvarchar](50) NOT NULL,
	[栏目类型] [nvarchar](10) NOT NULL,
	[所属栏目] [int] NOT NULL,
	[是否拥有子栏目] [bit] NOT NULL,
	[外部链接地址] [nvarchar](200) NOT NULL,
	[默认排序方式] [nvarchar](20) NOT NULL,
	[栏目简介] [nvarchar](2000) NOT NULL,
	[是否隐藏] [bit] NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_内容_栏目_创建时间]  DEFAULT (getdate()),
	[模板_内容列表] [int] NOT NULL CONSTRAINT [DF_内容_栏目_模板_内容列表]  DEFAULT ((0)),
	[模板_3G内容列表] [int] NOT NULL CONSTRAINT [DF_内容_栏目_模板_3G内容列表]  DEFAULT ((0)),
	[模板_查看内容] [int] NOT NULL CONSTRAINT [DF_内容_栏目_模板_查看内容]  DEFAULT ((0)),
	[模板_3G查看内容] [int] NOT NULL CONSTRAINT [DF_内容_栏目_模板_3G查看内容]  DEFAULT ((0)),
	[模板_评论列表] [int] NOT NULL CONSTRAINT [DF_内容_栏目_模板_评论列表]  DEFAULT ((0)),
	[模板_3G评论列表] [int] NOT NULL CONSTRAINT [DF_内容_栏目_模板_3G评论列表]  DEFAULT ((0)),
 CONSTRAINT [PK_内容_栏目] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_头像]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_头像](
	[ID] [int] NOT NULL,
	[头像名称] [nvarchar](50) NOT NULL,
	[头像地址] [nvarchar](200) NOT NULL,
	[头像性别] [int] NOT NULL,
	[需要积分] [int] NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_头像_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_头像] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_访问统计_IP记录]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_访问统计_IP记录](
	[ID] [int] NOT NULL,
	[IP] [nvarchar](20) NOT NULL,
	[所在地区] [nvarchar](50) NOT NULL,
	[访问次数] [int] NOT NULL CONSTRAINT [DF_其它_访问统计_IP记录_访问次数]  DEFAULT ((0)),
	[最后访问时间] [datetime] NOT NULL CONSTRAINT [DF_其它_访问统计_IP记录_最后访问时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_其它_访问统计_IP记录] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_消息]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_消息](
	[ID] [int] NOT NULL,
	[用户ID] [int] NOT NULL,
	[用户昵称] [nvarchar](16) NOT NULL,
	[目标用户ID] [int] NOT NULL,
	[目标用户昵称] [nvarchar](16) NOT NULL,
	[是否已读] [bit] NOT NULL,
	[是否系统消息] [bit] NOT NULL,
	[消息内容] [nvarchar](255) NOT NULL,
	[发送时间] [datetime] NOT NULL CONSTRAINT [DF_社区_消息_发送时间]  DEFAULT (getdate()),
	[已删除] [bit] NOT NULL CONSTRAINT [DF_社区_消息_已删除]  DEFAULT ((0)),
	[目标已删除] [bit] NOT NULL CONSTRAINT [DF_社区_消息_目标已删除]  DEFAULT ((0)),
 CONSTRAINT [PK_社区_消息] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_勋章]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_勋章](
	[ID] [int] NOT NULL,
	[勋章名称] [nvarchar](50) NOT NULL,
	[勋章图标] [nvarchar](200) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_勋章_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_勋章] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_软件_软件]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_软件_软件](
	[ID] [int] NOT NULL,
	[所属栏目] [int] NOT NULL,
	[标题] [nvarchar](50) NOT NULL,
	[标题样式_粗体] [bit] NOT NULL,
	[标题样式_斜体] [bit] NOT NULL,
	[标题样式_删除线] [bit] NOT NULL,
	[标题样式_颜色] [nvarchar](7) NOT NULL,
	[是否推荐] [bit] NOT NULL,
	[是否审核] [bit] NOT NULL,
	[是否删除] [bit] NOT NULL,
	[外部链接] [nvarchar](200) NOT NULL,
	[发布时间] [datetime] NOT NULL,
	[软件简介] [nvarchar](4000) NOT NULL,
	[运行平台] [nvarchar](2000) NOT NULL,
	[是否关闭评论] [bit] NOT NULL,
	[内容模板] [int] NOT NULL,
	[3G内容模板] [int] NOT NULL,
	[评论模板] [int] NOT NULL,
	[3G评论模板] [int] NOT NULL,
	[权限_仅限会员] [bit] NOT NULL,
	[权限_需要等级] [int] NOT NULL,
	[权限_扣除积分] [int] NOT NULL,
	[点击数] [int] NOT NULL CONSTRAINT [DF_内容_软件_软件_点击数]  DEFAULT ((0)),
	[日点击数] [int] NOT NULL CONSTRAINT [DF_内容_软件_软件_日点击数]  DEFAULT ((0)),
	[周点击数] [int] NOT NULL CONSTRAINT [DF_内容_软件_软件_周点击数]  DEFAULT ((0)),
	[收藏数] [int] NOT NULL CONSTRAINT [DF_内容_软件_软件_收藏数]  DEFAULT ((0)),
	[评论数] [int] NOT NULL CONSTRAINT [DF_内容_软件_软件_评论数]  DEFAULT ((0)),
	[图片文件] [nvarchar](1000) NOT NULL,
	[文件资源] [nvarchar](4000) NOT NULL,
	[最后评论时间] [datetime] NOT NULL CONSTRAINT [DF_内容_软件_软件_最后评论时间]  DEFAULT (getdate()),
	[最后收藏时间] [datetime] NOT NULL CONSTRAINT [DF_内容_软件_软件_最后收藏时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_软件_软件] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_评论]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_评论](
	[ID] [int] NOT NULL,
	[所属栏目] [int] NOT NULL,
	[内容类型] [nvarchar](50) NOT NULL,
	[楼数] [int] NOT NULL CONSTRAINT [DF_内容_评论_楼数]  DEFAULT ((0)),
	[评论用户ID] [int] NOT NULL,
	[评论用户昵称] [nvarchar](16) NOT NULL,
	[评论用户IP] [nvarchar](20) NOT NULL,
	[评论用户地区] [nvarchar](100) NOT NULL,
	[内容ID] [int] NOT NULL,
	[内容标题] [nvarchar](50) NOT NULL,
	[评论内容] [nvarchar](250) NOT NULL,
	[支持] [int] NOT NULL CONSTRAINT [DF_内容_评论_支持]  DEFAULT ((0)),
	[反对] [int] NOT NULL CONSTRAINT [DF_内容_评论_反对]  DEFAULT ((0)),
	[发表时间] [datetime] NOT NULL CONSTRAINT [DF_内容_评论_发表时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_评论] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_访问统计_地区记录]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_访问统计_地区记录](
	[ID] [int] NOT NULL,
	[所在地区] [nvarchar](50) NOT NULL,
	[访问次数] [int] NOT NULL CONSTRAINT [DF_其它_访问统计_地区记录_访问次数]  DEFAULT ((0)),
 CONSTRAINT [PK_其它_访问统计_地区记录] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_论坛_贴子]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_论坛_贴子](
	[ID] [int] NOT NULL,
	[标题] [nvarchar](50) NOT NULL,
	[贴子简介] [nvarchar](4000) NOT NULL,
	[作者ID] [int] NOT NULL,
	[作者昵称] [nvarchar](16) NOT NULL,
	[是否置顶] [bit] NOT NULL,
	[是否精华] [bit] NOT NULL,
	[是否锁定] [bit] NOT NULL,
	[是否删除] [bit] NOT NULL,
	[贴子类型] [int] NOT NULL,
	[附件内容] [nvarchar](4000) NOT NULL,
	[投票选项] [nvarchar](500) NOT NULL,
	[所属版块] [int] NOT NULL,
	[点击数] [int] NOT NULL CONSTRAINT [DF_社区_论坛_贴子_点击数]  DEFAULT ((0)),
	[回贴数] [int] NOT NULL CONSTRAINT [DF_社区_论坛_贴子_回贴数]  DEFAULT ((0)),
	[发表时间] [datetime] NOT NULL CONSTRAINT [DF_社区_论坛_贴子_发表时间]  DEFAULT (getdate()),
	[最后回贴时间] [datetime] NOT NULL CONSTRAINT [DF_社区_论坛_贴子_最后回贴时间]  DEFAULT (getdate()),
	[模板_贴子内容] [int] NOT NULL,
	[模板_回贴列表] [int] NOT NULL,
	[模板_3G贴子内容] [int] NOT NULL,
	[模板_3G回贴列表] [int] NOT NULL,
	[鲜花数] [int] NOT NULL CONSTRAINT [DF_社区_论坛_贴子_鲜花数]  DEFAULT ((0)),
	[鸡蛋数] [int] NOT NULL CONSTRAINT [DF_社区_论坛_贴子_鸡蛋数]  DEFAULT ((0)),
 CONSTRAINT [PK_社区_论坛_贴子] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_访问统计_访问记录]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_访问统计_访问记录](
	[ID] [int] NOT NULL,
	[用户ID] [int] NOT NULL,
	[用户昵称] [nvarchar](16) NOT NULL,
	[用户IP] [nvarchar](20) NOT NULL,
	[所在地区] [nvarchar](50) NOT NULL,
	[浏览器] [nvarchar](50) NOT NULL,
	[访问地址] [nvarchar](500) NOT NULL,
	[来源网站] [nvarchar](100) NOT NULL,
	[来源地址] [nvarchar](500) NOT NULL,
	[内容类型] [nvarchar](50) NOT NULL,
	[内容子类型] [nvarchar](50) NOT NULL,
	[访问时间] [datetime] NOT NULL CONSTRAINT [DF_其它_访问统计_访问记录_访问时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_其它_访问统计_访问记录] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_软件_运行平台]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_软件_运行平台](
	[ID] [int] NOT NULL,
	[平台简称] [nvarchar](50) NOT NULL,
	[所有机型] [nvarchar](1000) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_内容_软件_运行平台_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_软件_运行平台] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_论坛_回贴]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_论坛_回贴](
	[ID] [int] NOT NULL,
	[所属版块] [int] NOT NULL CONSTRAINT [DF_社区_论坛_回贴_所属版块]  DEFAULT ((0)),
	[楼数] [int] NOT NULL,
	[回贴用户ID] [int] NOT NULL,
	[回贴用户昵称] [nvarchar](16) NOT NULL,
	[回贴用户IP] [nvarchar](20) NOT NULL,
	[回贴用户地区] [nvarchar](100) NOT NULL,
	[贴子ID] [int] NOT NULL,
	[贴子标题] [nvarchar](50) NOT NULL,
	[回贴内容] [nvarchar](1000) NOT NULL,
	[支持] [int] NOT NULL CONSTRAINT [DF_社区_论坛_回贴_支持]  DEFAULT ((0)),
	[反对] [int] NOT NULL CONSTRAINT [DF_社区_论坛_回贴_反对]  DEFAULT ((0)),
	[发表时间] [datetime] NOT NULL CONSTRAINT [DF_社区_论坛_回贴_发表时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_论坛_回贴] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_访问统计_管理记录]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_访问统计_管理记录](
	[ID] [int] NOT NULL,
	[管理员] [nvarchar](16) NOT NULL,
	[操作IP] [nvarchar](20) NOT NULL,
	[操作] [nvarchar](50) NOT NULL,
	[时间] [datetime] NOT NULL CONSTRAINT [DF_其它_访问统计_管理记录_时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_其它_访问统计_管理记录] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_图片_图片]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_图片_图片](
	[ID] [int] NOT NULL,
	[所属栏目] [int] NOT NULL,
	[标题] [nvarchar](50) NOT NULL,
	[标题样式_粗体] [bit] NOT NULL,
	[标题样式_斜体] [bit] NOT NULL,
	[标题样式_删除线] [bit] NOT NULL,
	[标题样式_颜色] [nvarchar](7) NOT NULL,
	[是否推荐] [bit] NOT NULL,
	[是否审核] [bit] NOT NULL,
	[是否删除] [bit] NOT NULL,
	[外部链接] [nvarchar](200) NOT NULL,
	[发布时间] [datetime] NOT NULL,
	[一页显示图片数] [int] NOT NULL,
	[是否关闭评论] [bit] NOT NULL,
	[内容模板] [int] NOT NULL,
	[3G内容模板] [int] NOT NULL,
	[评论模板] [int] NOT NULL CONSTRAINT [DF_内容_图片_图片_评论模版]  DEFAULT ((0)),
	[3G评论模板] [int] NOT NULL,
	[权限_仅限会员] [bit] NOT NULL,
	[权限_需要等级] [int] NOT NULL,
	[权限_扣除积分] [int] NOT NULL,
	[点击数] [int] NOT NULL CONSTRAINT [DF_内容_图片_图片_点击数]  DEFAULT ((0)),
	[日点击数] [int] NOT NULL CONSTRAINT [DF_内容_图片_图片_日点击数]  DEFAULT ((0)),
	[周点击数] [int] NOT NULL CONSTRAINT [DF_内容_图片_图片_周点击数]  DEFAULT ((0)),
	[收藏数] [int] NOT NULL CONSTRAINT [DF_内容_图片_图片_收藏数]  DEFAULT ((0)),
	[评论数] [int] NOT NULL CONSTRAINT [DF_内容_图片_图片_评论数]  DEFAULT ((0)),
	[文件资源] [nvarchar](4000) NOT NULL,
	[最后评论时间] [datetime] NOT NULL CONSTRAINT [DF_内容_图片_图片_最后评论时间]  DEFAULT (getdate()),
	[最后收藏时间] [datetime] NOT NULL CONSTRAINT [DF_内容_图片_图片_最后收藏时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_图片_图片] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_用户_用户组]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_用户_用户组](
	[ID] [int] NOT NULL,
	[组名称] [nvarchar](50) NOT NULL,
	[组权限] [nvarchar](200) NOT NULL,
	[用户类型] [nvarchar](3) NOT NULL,
 CONSTRAINT [PK_社区_用户_用户组] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_广告_分类]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_广告_分类](
	[ID] [int] NOT NULL,
	[分类名称] [nvarchar](50) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_其它_广告_分类_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_其它_广告_分类] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[网站_计划任务]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[网站_计划任务](
	[ID] [int] NOT NULL,
	[任务名称] [nvarchar](50) NOT NULL,
	[更新频率] [nvarchar](2) NOT NULL,
	[操作文件] [nvarchar](200) NOT NULL,
	[启用状态] [bit] NOT NULL,
	[最后执行时间] [datetime] NOT NULL CONSTRAINT [DF_网站_计划任务_最后执行时间]  DEFAULT (getdate()),
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_网站_计划任务_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_网站_计划任务] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_广告_广告]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_广告_广告](
	[ID] [int] NOT NULL,
	[所属分类] [int] NOT NULL,
	[广告名称] [nvarchar](50) NOT NULL,
	[广告类型] [nvarchar](10) NOT NULL,
	[广告内容] [nvarchar](4000) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_其它_广告_广告_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_其它_广告_广告] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_用户_等级称呼]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_用户_等级称呼](
	[ID] [int] NOT NULL,
	[等级] [int] NOT NULL,
	[称呼] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_社区_用户_等级称呼] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_访问统计_错误日志]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_访问统计_错误日志](
	[ID] [int] NOT NULL,
	[用户ID] [int] NOT NULL,
	[用户昵称] [nvarchar](16) NOT NULL,
	[用户IP] [nvarchar](20) NOT NULL,
	[用户地区] [nvarchar](50) NOT NULL,
	[浏览器] [nvarchar](100) NOT NULL,
	[错误原因] [nvarchar](500) NOT NULL,
	[错误地址] [nvarchar](200) NOT NULL,
	[出错时间] [datetime] NOT NULL CONSTRAINT [DF_其它_访问统计_错误日志_出错时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_其它_访问统计_错误日志] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_访问统计_管理员登录日志]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_访问统计_管理员登录日志](
	[ID] [int] NOT NULL,
	[用户IP] [nvarchar](20) NOT NULL,
	[用户地区] [nvarchar](50) NOT NULL,
	[用户浏览器] [nvarchar](100) NOT NULL,
	[用户昵称] [nvarchar](16) NOT NULL,
	[登录状态] [bit] NOT NULL,
	[登录时间] [datetime] NOT NULL CONSTRAINT [DF_其它_访问统计_管理员登录日志_登录时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_其它_访问统计_管理员登录日志] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_访问统计_来源记录]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_访问统计_来源记录](
	[ID] [int] NOT NULL,
	[来源网站] [nvarchar](100) NOT NULL,
	[访问次数] [int] NOT NULL CONSTRAINT [DF_其它_访问统计_来源记录_访问次数]  DEFAULT ((0)),
 CONSTRAINT [PK_其它_访问统计_来源记录] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_文章_文章]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_文章_文章](
	[ID] [int] NOT NULL,
	[所属栏目] [int] NOT NULL,
	[标题] [nvarchar](100) NOT NULL,
	[标题样式_粗体] [bit] NOT NULL,
	[标题样式_斜体] [bit] NOT NULL,
	[标题样式_删除线] [bit] NOT NULL,
	[标题样式_颜色] [nvarchar](7) NOT NULL,
	[是否推荐] [bit] NOT NULL,
	[是否审核] [bit] NOT NULL,
	[是否删除] [bit] NOT NULL,
	[外部链接] [nvarchar](200) NOT NULL,
	[发布时间] [datetime] NOT NULL,
	[作者] [nvarchar](50) NOT NULL,
	[文章来源] [nvarchar](200) NOT NULL,
	[文章简介] [nvarchar](2000) NOT NULL,
	[是否手动分页] [bit] NOT NULL,
	[是否UBB] [bit] NOT NULL,
	[是否关闭评论] [bit] NOT NULL,
	[内容模板] [int] NOT NULL,
	[3G内容模板] [int] NOT NULL CONSTRAINT [DF_内容_文章_文章_3G内容模版]  DEFAULT ((0)),
	[评论模板] [int] NOT NULL,
	[3G评论模板] [int] NOT NULL CONSTRAINT [DF_内容_文章_文章_3G评论模版]  DEFAULT ((0)),
	[权限_仅限会员] [bit] NOT NULL,
	[权限_需要等级] [int] NOT NULL,
	[权限_扣除积分] [int] NOT NULL,
	[点击数] [int] NOT NULL CONSTRAINT [DF_内容_文章_文章_点击数]  DEFAULT ((0)),
	[日点击数] [int] NOT NULL CONSTRAINT [DF_内容_文章_文章_日点击数]  DEFAULT ((0)),
	[周点击数] [int] NOT NULL CONSTRAINT [DF_内容_文章_文章_周点击数]  DEFAULT ((0)),
	[收藏数] [int] NOT NULL CONSTRAINT [DF_内容_文章_文章_收藏数]  DEFAULT ((0)),
	[评论数] [int] NOT NULL CONSTRAINT [DF_内容_文章_文章_评论数]  DEFAULT ((0)),
	[文件资源] [nvarchar](4000) NOT NULL,
	[最后评论时间] [datetime] NOT NULL CONSTRAINT [DF_内容_文章_文章_最后评论时间]  DEFAULT (getdate()),
	[最后收藏时间] [datetime] NOT NULL CONSTRAINT [DF_内容_文章_文章_最后收藏时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_文章_文章] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_访问统计_浏览器记录]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_访问统计_浏览器记录](
	[ID] [int] NOT NULL,
	[浏览器] [nvarchar](50) NOT NULL,
	[访问次数] [int] NOT NULL CONSTRAINT [DF_其它_访问统计_浏览器记录_访问次数]  DEFAULT ((0)),
 CONSTRAINT [PK_其它_访问统计_浏览器记录] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_访问统计_内容类型]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_访问统计_内容类型](
	[ID] [int] NOT NULL,
	[内容类型] [nvarchar](50) NOT NULL,
	[访问次数] [int] NOT NULL CONSTRAINT [DF_其它_访问统计_内容类型_访问次数]  DEFAULT ((0)),
 CONSTRAINT [PK_其它_访问统计_内容类型] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_视频_视频]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_视频_视频](
	[ID] [int] NOT NULL,
	[所属栏目] [int] NOT NULL,
	[标题] [nvarchar](50) NOT NULL,
	[标题样式_粗体] [bit] NOT NULL,
	[标题样式_斜体] [bit] NOT NULL,
	[标题样式_删除线] [bit] NOT NULL,
	[标题样式_颜色] [nvarchar](7) NOT NULL,
	[是否推荐] [bit] NOT NULL,
	[是否审核] [bit] NOT NULL,
	[是否删除] [bit] NOT NULL,
	[外部链接] [nvarchar](200) NOT NULL,
	[发布时间] [datetime] NOT NULL CONSTRAINT [DF_内容_视频_视频_发布时间]  DEFAULT (getdate()),
	[视频图片] [nvarchar](4000) NOT NULL,
	[视频文件] [nvarchar](4000) NOT NULL,
	[视频简介] [nvarchar](1000) NOT NULL,
	[是否关闭评论] [bit] NOT NULL,
	[内容模板] [int] NOT NULL,
	[3G内容模板] [int] NOT NULL,
	[评论模板] [int] NOT NULL,
	[3G评论模板] [int] NOT NULL,
	[权限_仅限会员] [bit] NOT NULL,
	[权限_需要等级] [int] NOT NULL,
	[权限_扣除积分] [int] NOT NULL,
	[点击数] [int] NOT NULL CONSTRAINT [DF_内容_视频_视频_点击数]  DEFAULT ((0)),
	[日点击数] [int] NOT NULL CONSTRAINT [DF_内容_视频_视频_日点击数]  DEFAULT ((0)),
	[周点击数] [int] NOT NULL CONSTRAINT [DF_内容_视频_视频_周点击数]  DEFAULT ((0)),
	[收藏数] [int] NOT NULL CONSTRAINT [DF_内容_视频_视频_收藏数]  DEFAULT ((0)),
	[评论数] [int] NOT NULL CONSTRAINT [DF_内容_视频_视频_评论数]  DEFAULT ((0)),
	[最后评论时间] [datetime] NOT NULL CONSTRAINT [DF_内容_视频_视频_最后评论时间]  DEFAULT (getdate()),
	[最后收藏时间] [datetime] NOT NULL CONSTRAINT [DF_内容_视频_视频_最后收藏时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_视频_视频] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_文章_作者]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_文章_作者](
	[ID] [int] NOT NULL,
	[作者] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_内容_文章_作者] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_访问统计_统计报告]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_访问统计_统计报告](
	[ID] [int] NOT NULL,
	[日期] [datetime] NOT NULL,
	[点击数] [int] NOT NULL,
	[IP数] [int] NOT NULL,
	[地区数] [int] NOT NULL,
	[浏览器数] [int] NOT NULL,
	[来源数] [int] NOT NULL,
 CONSTRAINT [PK_其它_访问统计_统计报告] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_文章_来源]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_文章_来源](
	[ID] [int] NOT NULL,
	[来源网站] [nvarchar](200) NOT NULL,
 CONSTRAINT [PK_内容_文章_来源] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_文章采集_网站]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_文章采集_网站](
	[ID] [int] NOT NULL,
	[网站名称] [nvarchar](50) NOT NULL,
	[网站地址] [nvarchar](200) NOT NULL,
	[字符编码] [int] NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_内容_文章采集_网站_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_文章采集_网站] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_论坛_版块]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_论坛_版块](
	[ID] [int] NOT NULL,
	[版块名称] [nvarchar](50) NOT NULL,
	[所属版块] [int] NOT NULL,
	[外部链接地址] [nvarchar](200) NOT NULL CONSTRAINT [DF_社区_论坛_版块_外部链接地址]  DEFAULT (''),
	[版块简介] [nvarchar](4000) NOT NULL,
	[版块状态] [bit] NOT NULL,
	[禁止访问提示] [nvarchar](4000) NOT NULL,
	[访问权限] [int] NOT NULL,
	[发贴权限] [int] NOT NULL,
	[回贴权限] [int] NOT NULL,
	[排序] [int] NOT NULL,
	[显示状态] [bit] NOT NULL,
	[贴子数] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_贴子数]  DEFAULT ((0)),
	[回贴数] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_回贴数]  DEFAULT ((0)),
	[今日发贴数] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_今日发贴数]  DEFAULT ((0)),
	[今日回贴数] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_今日回贴数]  DEFAULT ((0)),
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_社区_论坛_版块_创建时间]  DEFAULT (getdate()),
	[最后发贴时间] [datetime] NOT NULL CONSTRAINT [DF_社区_论坛_版块_最后发贴时间]  DEFAULT (getdate()),
	[最后发贴作者ID] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_最后发贴作者ID]  DEFAULT ((0)),
	[最后发贴作者昵称] [nvarchar](16) NOT NULL CONSTRAINT [DF_社区_论坛_版块_最后发贴作者昵称]  DEFAULT (''),
	[模板_贴子列表] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_模版_贴子列表]  DEFAULT ((0)),
	[模板_贴子内容] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_模版_贴子内容]  DEFAULT ((0)),
	[模板_回贴列表] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_模版_回贴列表]  DEFAULT ((0)),
	[模板_3G贴子列表] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_模版_3G贴子列表]  DEFAULT ((0)),
	[模板_3G贴子内容] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_模版_3G贴子内容]  DEFAULT ((0)),
	[模板_3G回贴列表] [int] NOT NULL CONSTRAINT [DF_社区_论坛_版块_模版_3G回贴列表]  DEFAULT ((0)),
 CONSTRAINT [PK_社区_论坛_版块] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_文章采集_栏目]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_文章采集_栏目](
	[ID] [int] NOT NULL,
	[栏目名称] [nvarchar](50) NOT NULL,
	[所属网站] [int] NOT NULL,
	[开始列表地址] [nvarchar](200) NOT NULL,
	[标题和地址_表达式] [nvarchar](2000) NOT NULL,
	[标题和地址_是否通配符] [bit] NOT NULL,
	[下页地址_表达式] [nvarchar](2000) NOT NULL,
	[下页地址_是否通配符] [bit] NOT NULL,
	[上页地址_表达式] [nvarchar](2000) NOT NULL,
	[上页地址_是否通配符] [bit] NOT NULL,
	[总页数_表达式] [nvarchar](2000) NOT NULL,
	[总页数_是否通配符] [bit] NOT NULL,
	[文章内容_表达式] [nvarchar](4000) NOT NULL,
	[文章内容_是否通配符] [bit] NOT NULL,
	[文章下页_表达式] [nvarchar](2000) NOT NULL,
	[文章下页_是否通配符] [bit] NOT NULL,
	[内容过滤] [nvarchar](2000) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_内容_文章采集_栏目_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_文章采集_栏目] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_积分记录]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_积分记录](
	[ID] [int] NOT NULL,
	[类型] [nvarchar](50) NOT NULL,
	[内容ID] [int] NOT NULL,
	[用户ID] [int] NOT NULL,
 CONSTRAINT [PK_内容_积分记录] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_图片采集_网站]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_图片采集_网站](
	[ID] [int] NOT NULL,
	[网站名称] [nvarchar](50) NOT NULL,
	[网站地址] [nvarchar](200) NOT NULL,
	[字符编码] [int] NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_内容_图片采集_网站_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_图片采集_网站] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_论坛_贴子操作记录]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_论坛_贴子操作记录](
	[ID] [int] NOT NULL,
	[贴子ID] [int] NOT NULL,
	[操作记录] [nvarchar](200) NOT NULL,
	[操作时间] [datetime] NOT NULL CONSTRAINT [DF_社区_论坛_贴子操作记录_操作时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_社区_论坛_贴子操作记录] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_投票]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_投票](
	[ID] [int] NOT NULL,
	[内容ID] [int] NOT NULL,
	[内容类型] [nvarchar](50) NOT NULL,
	[投票项] [nvarchar](50) NOT NULL,
	[用户ID] [int] NOT NULL,
 CONSTRAINT [PK_其它_投票] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[社区_用户_资料结构]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[社区_用户_资料结构](
	[ID] [int] NOT NULL,
	[数据名称] [nvarchar](50) NOT NULL,
	[数据类型] [int] NOT NULL,
	[最小大小(长度)] [numeric](18, 0) NOT NULL,
	[最大大小(长度)] [numeric](18, 0) NOT NULL,
	[值列表] [nvarchar](200) NOT NULL,
	[是否注册项] [bit] NOT NULL,
	[是否修改资料项] [bit] NOT NULL,
	[是否允许重复] [bit] NOT NULL,
	[是否资料显示项] [bit] NOT NULL,
	[资料显示格式] [nvarchar](50) NOT NULL,
	[默认值] [nvarchar](1000) NOT NULL,
	[表单代码] [nvarchar](1000) NOT NULL,
	[备注] [nvarchar](100) NOT NULL,
	[表单名称] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_社区_用户_资料结构] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_留言_留言]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_留言_留言](
	[ID] [int] NOT NULL,
	[留言本ID] [int] NOT NULL,
	[留言本名称] [nvarchar](50) NOT NULL,
	[标题] [nvarchar](50) NOT NULL,
	[发表人] [nvarchar](16) NOT NULL,
	[留言表情] [nvarchar](200) NOT NULL,
	[留言内容] [nvarchar](1000) NOT NULL,
	[留言时间] [datetime] NOT NULL CONSTRAINT [DF_其它_留言_留言_留言时间]  DEFAULT (getdate()),
	[是否保密] [bit] NOT NULL,
	[是否已回复] [bit] NOT NULL,
	[回复内容] [nvarchar](1000) NOT NULL,
	[回复时间] [datetime] NOT NULL CONSTRAINT [DF_其它_留言_留言_回复时间]  DEFAULT (getdate()),
	[留言密码] [nvarchar](16) NOT NULL,
 CONSTRAINT [PK_其它_留言_留言] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_留言_留言本]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_留言_留言本](
	[ID] [int] NOT NULL,
	[留言本名称] [nvarchar](50) NOT NULL,
	[模板_留言列表] [int] NOT NULL,
	[模板_3G留言列表] [int] NOT NULL,
	[模板_查看留言] [int] NOT NULL,
	[模板_3G查看留言] [int] NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_其它_留言_留言本_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_其它_留言_留言本] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[其它_留言_留言表情]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[其它_留言_留言表情](
	[ID] [int] NOT NULL,
	[表情名称] [nvarchar](50) NOT NULL,
	[表情图片] [nvarchar](50) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_其它_留言_留言表情_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_其它_留言_留言表情] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[内容_音乐_歌手]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[内容_音乐_歌手](
	[ID] [int] NOT NULL,
	[歌手/乐队名称] [nvarchar](20) NOT NULL,
	[歌手图片] [nvarchar](200) NOT NULL,
	[歌手地区] [nvarchar](10) NOT NULL,
	[歌手类型] [nvarchar](10) NOT NULL,
	[歌手简介] [nvarchar](4000) NOT NULL,
	[创建时间] [datetime] NOT NULL CONSTRAINT [DF_内容_音乐_歌手_创建时间]  DEFAULT (getdate()),
 CONSTRAINT [PK_内容_音乐_歌手] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
